package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考核状态
 */
@AllArgsConstructor
@Getter
public enum EAssessStatus {

    /**
     * 0=考核通过 1=免考通过 2=考核不通过 3=不考核
     */
    EXAMINE_PASS(0, "考核通过", 0),
    /**
     * 1=免考通过
     */
    EXEMPT_PASS(1, "免考通过", 0),
    /**
     * 2=考核不通过
     */
    EXAMINE_NO_PASS(2, "考核不通过", 0),
    /**
     * 3=不考核
     */
    NO_EXAMINE(3, "不考核", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;


    public static String getLabelByValue(Integer value) {
        if (null != value) {
            for (EAssessStatus enums : EAssessStatus.values()) {
                if (enums.getValue() == value) {
                    return enums.getLabel();
                }
            }
        }
        return "";
    }

}
